> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow templates



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/workflow-api get /workflows/templates
openapi: 3.0.0
info:
  title: workflow-api
  version: 0.0.0
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /workflows/templates:
    get:
      tags:
        - Workflow
      summary: List workflow templates
      operationId: list-templates-workflow
      parameters:
        - name: name
          in: query
          schema:
            type: string
          required: false
        - name: categories
          in: query
          schema:
            type: string
            example: foo,bar
          required: false
        - name: page
          in: query
          schema:
            type: number
            default: 1
            minimum: 1
          required: false
        - name: perPage
          in: query
          schema:
            type: number
            default: 10
            minimum: 1
          required: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      paginationCount:
                        type: number
                      paginationPage:
                        type: number
                      paginationLimit:
                        type: number
                    required:
                      - paginationCount
                      - paginationPage
                      - paginationLimit
                    additionalProperties: false
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_Array_WorkflowTemplate
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_Array_WorkflowTemplate:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowTemplate'
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    WorkflowTemplate:
      $ref: '#/components/schemas/SerializedWorkflowTemplate'
    SerializedWorkflowTemplate:
      allOf:
        - $ref: '#/components/schemas/WorkflowTemplate_Without_ToJSON_CompanyId__id'
        - type: object
          properties:
            companyId:
              type: string
    WorkflowTemplate_Without_ToJSON_CompanyId__id:
      type: object
      properties:
        name:
          type: string
          description: Template name
        icon:
          type: string
          description: SVG icon for the template
        slug:
          type: string
          description: |-
            The slug is used to identify the template
            (i.e. for i18n)
        description:
          type: string
          description: In case slug isn't defined we can set a static description
        categories:
          type: array
          items:
            type: string
          description: List of categories of the template
        feature:
          type: string
          description: |-
            Needed feature to display this template
            Must be prefixed by `workflow_template_`
        template:
          allOf:
            - $ref: '#/components/schemas/Workflow'
          description: Workflow definition
        metadata:
          type: object
          properties: {}
          additionalProperties:
            $ref: '#/components/schemas/AnyValue'
          description: >-
            This is used by the frontend to store their metadata (node
            positions...) like:

            { <node id>: { position: { x: ..., y: ... } } }
        id:
          type: string
      required:
        - name
        - icon
        - categories
        - template
        - id
      additionalProperties: false
    Workflow:
      type: object
      properties:
        nodes:
          type: object
          properties: {}
          additionalProperties:
            oneOf:
              - type: object
                properties:
                  type:
                    type: string
                  metadata:
                    type: object
                    properties: {}
                    additionalProperties:
                      $ref: '#/components/schemas/AnyValue'
                  paths:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        options:
                          type: object
                          properties: {}
                          additionalProperties:
                            $ref: '#/components/schemas/AnyValue'
                      required:
                        - id
                        - options
                      additionalProperties: false
                required:
                  - type
                  - metadata
                  - paths
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                  options:
                    type: object
                    properties: {}
                    additionalProperties:
                      $ref: '#/components/schemas/AnyValue'
                  metadata:
                    type: object
                    properties: {}
                    additionalProperties:
                      $ref: '#/components/schemas/AnyValue'
                required:
                  - type
                  - options
                  - metadata
                additionalProperties: false
        entrypoints:
          type: object
          properties: {}
          additionalProperties:
            oneOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - email
                  format:
                    oneOf:
                      - type: string
                        enum:
                          - header-image
                      - type: string
                        enum:
                          - banner-top-image
                      - type: string
                        enum:
                          - banner-bottom-image
                      - type: string
                        enum:
                          - hero-image
                      - type: string
                        enum:
                          - content-image
                      - type: string
                        enum:
                          - terms-image
                      - type: string
                        enum:
                          - email-content
                required:
                  - type
                  - format
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - mobile
                  format:
                    oneOf:
                      - type: string
                        enum:
                          - push-image
                      - type: string
                        enum:
                          - in-app-image
                      - type: string
                        enum:
                          - inbox-image
                required:
                  - type
                  - format
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - web
                  format:
                    oneOf:
                      - type: string
                        enum:
                          - embed-image
                      - type: string
                        enum:
                          - embed-html
                      - type: string
                        enum:
                          - page-html
                required:
                  - type
                  - format
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - landing
                  format:
                    oneOf:
                      - type: string
                        enum:
                          - embed-image
                      - type: string
                        enum:
                          - embed-html
                      - type: string
                        enum:
                          - page-html
                required:
                  - type
                  - format
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - rcs
                  format:
                    oneOf:
                      - type: string
                        enum:
                          - card-image
                      - type: string
                        enum:
                          - carousel-image
                required:
                  - type
                  - format
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - whatsapp
                  format:
                    type: string
                    enum:
                      - header-image
                required:
                  - type
                  - format
                additionalProperties: false
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - raw
                  format:
                    type: string
                    enum:
                      - json
                required:
                  - type
                  - format
                additionalProperties: false
        edges:
          type: object
          properties: {}
          additionalProperties:
            type: object
            properties:
              to:
                type: string
            required:
              - to
            additionalProperties: false
      required:
        - nodes
        - entrypoints
        - edges
      additionalProperties: false
    AnyValue:
      description: Can be any value
      nullable: true
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````